<?php
/**
 * @package    com_responsibilities
 * @subpackage tmpl
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

JHtml::_('formbehavior.chosen', 'select');
JHtml::_('bootstrap.popover');

AgmLibAdminBackend::load();
AgmLibAdminNoty::load();

//Todo in AgmLib verpacken
JFactory::$document->addStyleSheet('//maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css');
?>

<form action="<?php echo JRoute::_('index.php?option=com_responsibilities&view=assignment&layout=edit&id='.(int)$this->item->id); ?>"
      method="post" name="adminForm" id="adminForm" class="form-validate">
    <div class="row-fluid">
        <div class="span8 form-horizontal">
        	<h3><?php echo JText::_("COM_RESPONSIBILITIES_FIELDSET_ASSIGNMENT"); ?></h3>
			<?php echo $this->form->renderFieldset('assignment'); ?>
		</div>
		<div class="span4 form-horizontal">
			<?php echo $this->form->renderFieldset('publish'); ?>
        </div>   
    </div>
    
    
    <div class="row-fluid">
        <div class="span8 form-horizontal">    
			<h3><?php echo JText::_("COM_RESPONSIBILITIES_FIELDSET_OVERRIDE"); ?></h3>
			
			<?php //if($this->item->id < 1) : ?>
			<div class="agm-alert agm-bg-blue-opacity-0_3" role="alert">
				<div class="media">
					<span>
						<i class="icon-info"></i>
					</span>
					<span class="media-body">
						<?php 
						if(JFactory::getLanguage()->getTag() == 'de-DE') {
							?>
							<strong>Override Werte!</strong><br><br>
							Nachdem Sie den Eintrag abgespeichert haben, stehen die zur Person definierten Werte in den Override-Feldern.
							Dies hilft Ihnen dabei, zu entscheiden, ob und welche Werte Sie überschreiben möchten. <br><br>
							Tipp: wollen Sie den Inhalt eines Feldes nicht im Frontend anzeigen, überschreiben Sie den Wert einfach mit einem
							Leerzeichen.
							<?php
						}

						if(JFactory::getLanguage()->getTag() == 'en-GB') {
														?>
							<strong>Override Values!</strong><br><br>
							After you have saved the entry, the values defined for the person are in the override fields.
							This helps you to decide if and which values you want to overwrite. <br><br>
							Tip: If you do not want to display the contents of a field in the frontend, simply overwrite the value with a
							whitespace.
							<?php
						}
						?>
					</span>
				</div>
			</div>
			<?php //endif; ?>        
			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('email'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('email'); ?>
				</div>
			</div>
			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('strasse'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('strasse'); ?>
				</div>
			</div>
			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('plz'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('plz'); ?>
				</div>
			</div>
			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('ort'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('ort'); ?>
				</div>
			</div>	
			<div class="control-group">
				<div class="control-label">
					<?php echo $this->form->getLabel('telefon'); ?>
				</div>
				<div class="controls">
					<?php echo $this->form->getInput('telefon'); ?>
				</div>
			</div>	
			
            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('image'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('image'); ?>

                    <div class="agm-mt-10">
                    <?php
                    if(!empty($this->item->image)) {
                        ?>
                        aktuelles Bild: <a class="btn" rel="popover" data-img="../<?php echo $this->escape($this->item->image); ?>">mouse-over</a>
                        <?php
                    } else if(!empty($this->item->user_details['image'])) {
                        ?>
                        aktuelles Bild: <a class="btn" rel="popover" data-img="../<?php echo $this->escape($this->item->user_details['image']); ?>">mouse-over</a>
                        <?php
                    }
                    ?>
                    </div>
                </div>
            </div>

            <div class="control-group">
                <div class="control-label">
                    <?php echo $this->form->getLabel('aufgaben'); ?>
                </div>
                <div class="controls">
                    <?php echo $this->form->getInput('aufgaben'); ?>
                </div>
            </div>
        </div>
 
    </div>

    <input type="hidden" name="jform[tab]" value="" />
    <input type="hidden" name="task" value="assignment.save" />
    <?php echo JHtml::_('form.token'); ?>
</form>

<script>
// Add custom JS here
jQuery('a[rel=popover]').popover({
  html: true,
  trigger: 'hover',
  placement: 'bottom',
  content: function(){return '<img src="'+jQuery(this).data('img') + '" />';}
});
</script>