<?php
/**
 * @package    com_responsibilities
 * @subpackage tmpl
 * @author     Alexander Grözinger {@link http://www.agmedia.de}
 * @author     Created on Mar-2018
 * @license    GNU/GPL
 * @copyright  AGMedia.de
 */
/*
   _   ___ __  __        _ _           _
  /_\ / __|  \/  |___ __| (_)__ _   __| |___
 / _ \ (_ | |\/| / -_) _` | / _` |_/ _` / -_)
/_/ \_\___|_|  |_\___\__,_|_\__,_(_)__,_\___|
*/

// No direct access to this file
defined('_JEXEC') or die(';-)');

jimport('joomla.filesystem.file'); // Import filesystem libraries. Perhaps not necessary, but does not hurt

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Default var's
$app        = JFactory::getApplication();
$menu       = $app->getMenu();
$active     = $menu->getActive();
$jinput     = $app->input;
$view_type  = $jinput->get('view_type', 2);
$card_class = ($view_type == 2) ? 'card--has-table' : '';

//Update 1.0.1
$show_name              = $jinput->get('show_name', 1);
$show_picture           = $jinput->get('show_picture', 1);
$show_responsibility    = $jinput->get('show_aufgabe', 1);
$show_address           = $jinput->get('show_anschrift', 1);
$show_email             = $jinput->get('show_email', 1);
$show_telephone         = $jinput->get('show_telefon', 1);

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Params
$params                      = $app->getParams();
$param['placeholder_type']   = $params->get('placeholder_type');
$param['placeholder_width']  = (!empty($params->get('placeholder_width')) && $params->get('placeholder_width') > 0) ? $params->get('placeholder_width') : '600';
$param['placeholder_height'] = (!empty($params->get('placeholder_height')) && $params->get('placeholder_height') > 0) ? $params->get('placeholder_height') : '400';
$param['placeholder_text']   = (!empty($params->get('placeholder_text')) && strlen($params->get('placeholder_text')) > 0) ? $params->get('placeholder_text') : '';
$param['placeholder_image']  = (!empty($params->get('placeholder_image')) && JFile::exists($params->get('placeholder_image'))) ? JURI::root(true) . '/' . $params->get('placeholder_image') : $param['placeholder_type'] = 2;

$param_bootstrap_version    = $params->get('bootstrap_version');
switch ($params->get('bootstrap_version')) {
    case 2:
        $col_css = 'span4';
		$row_css = 'row-fluid bs2';
        break;
    case 3:
	case 4:
    default:
        $col_css = 'col-lg-4 col-md-4 col-sm-4 col-xs-12';
		$row_css = 'row';
		break;
}

$i = 0; //Used in default_pictures.php

////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Content output
if ($this->items) : ?>
    <div id="agmedia_responsibilities">
        <h2><?php echo $active->title; ?></h2>
        <div>
            <?php
            if ($view_type == 1) {
                foreach ($this->items as $category) :
                    if (empty($category['persons'])) continue;
                    include('default_pictures.php');
                    $i++;
                endforeach;
            } else if ($view_type == 2) {
                ?>
                <div class="table-responsive">
                    <table class="table table-hover table-bordered table-striped">
                        <?php
                        include('default_table.php');
                        ?>
                    </table>
                </div><!-- table-responsive / end -->
                <?php
            }
            ?>
        </div>
		<?php
		if(AgmLibValidation::getValidationStatus('com_sponsorswall') !== true) {
			echo "<p style='text-align: right; display: block !important; font-size:12px;'>".JText::_('AGMEDIA_COPYRIGHT')."</p>";
		}
		?>
    </div><!-- #agmedia_responsibilities / end -->
    <?php
endif;
?>